summaryrefslogtreecommitdiff
path: root/extras/mkocrtxt.sh
diff options
context:
space:
mode:
authorNick White <git@njw.me.uk>2011-12-03 18:18:12 +0000
committerNick White <git@njw.me.uk>2011-12-03 18:18:12 +0000
commit9239c8747aa79b95ae87b61b5758d089040d0616 (patch)
treeb037a36a58c38f278a1bfd57938b48e61276a04a /extras/mkocrtxt.sh
parentaa4c9f8df45a9a6881e0a90e50a7f1359ac5d1e1 (diff)
Have extras scripts take jpgs into account, and change their usage slightly
Diffstat (limited to 'extras/mkocrtxt.sh')
-rw-r--r--extras/mkocrtxt.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/extras/mkocrtxt.sh b/extras/mkocrtxt.sh
index 497f8a7..62f95a4 100644
--- a/extras/mkocrtxt.sh
+++ b/extras/mkocrtxt.sh
@@ -11,7 +11,10 @@
# converted to tiff format, so that they're readable by
# any version of tesseract.
-for i in `ls *png`
+test $# -ne 1 && echo "Usage: $0 bookdir" && exit 1
+cd "$1" || exit 1
+
+for i in `ls`
do
echo "$i"
@@ -30,4 +33,4 @@ do
rm -f "$i.big.tif" "$i.txt"
done
-echo book.txt
+echo "$1/book.txt"